Bug 105317 - FILEOPEN: PPTX: misaligned text in smart arts for Labeled Hierarchy if text is single line
Summary: FILEOPEN: PPTX: misaligned text in smart arts for Labeled Hierarchy if text i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx, implementationError
Depends on:
Blocks: OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2017-01-13 22:22 UTC by Haleh Alemasoom
Modified: 2019-09-18 06:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
original shapes vs when changed after opening powerpoint in LibreOffice (145.67 KB, image/png)
2017-01-13 22:22 UTC, Haleh Alemasoom
Details
original slide (44.78 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-02-06 20:04 UTC, Haleh Alemasoom
Details
original slide MSO edited.pptx (45.88 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-08-09 14:41 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Haleh Alemasoom 2017-01-13 22:22:51 UTC
Created attachment 130402 [details]
original shapes vs when changed after opening powerpoint in LibreOffice

Opened a pptx powerpoint and smart art shapes changed:

1. misaligned text in smart arts
2. shapes changed
Comment 1 Haleh Alemasoom 2017-01-13 22:28:33 UTC
With LibreOffice 5.3.0, 5.1.6 and 5.2.4 change of circle shapes is fixed but text misalignment is not.
Comment 2 Xisco Faulí 2017-01-13 22:48:30 UTC Comment hidden (obsolete)
Comment 3 Haleh Alemasoom 2017-02-06 20:04:06 UTC
Created attachment 130961 [details]
original slide

Hi,

Thanks for your response. I attached the original slide causing the problem. I noticed the problem of the slide with circles is fixed in higher versions of LibreOffice but the chart misalignment is still an issue.
Comment 4 Xisco Faulí 2017-02-07 09:09:23 UTC
Confirmed in 

Version: 5.4.0.0.alpha0+
Build ID: fc53cce64400430cdc21f79c959d75fb9a26d13d
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 5 Timur 2018-08-09 14:41:11 UTC
Created attachment 144065 [details]
original slide MSO edited.pptx

Repro in LO 6.2+. 
Started in 3.5, looks like implementationError, not a regression.
Happens with Labeled Hierarchy but only if text is single line. If edited in MSO to have multiple lines, looks OK in LO.
I'd say this is incorrect usage of Labeled Hierarchy but Lo should open it properly.


Note: Original PPTX for round shapes not attached but comment 1 confirms it's fixed so no issue here.
Comment 6 QA Administrators 2019-08-19 07:01:34 UTC Comment hidden (obsolete)
Comment 7 Timur 2019-08-26 15:00:48 UTC
Repro LO 6.4+